Package org.zkoss.stateless.sul

## Interface IColorbox

- All Superinterfaces:
    `IAnyGroup<IColorbox>`, `IComponent<IColorbox>`, `IHtmlBasedComponent<IColorbox>`, `IXulElement<IColorbox>`

      public interface IColorbox
      extends IXulElement<IColorbox>, IAnyGroup<IColorbox>

  Immutable `Colorbox` component

  A Colorbox used to retrieve an input that the user can select a color.

  ### Support @Action

  Name | Action Type
  --- | ---
  onChange | ActionData: `InputData` Denotes when the content of the component is changed.

  Author:
    katherine
  See Also:
    `Colorbox`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `IColorbox.Builder` | Builds instances of type `IColorbox`.
    `static class` | `IColorbox.Updater` | Builds an updater of type `IColorbox` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IColorbox` | `DEFAULT` | Constant for default attributes of this immutable component.

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default java.lang.String` | `getColor()` | Returns the color (in string as `#RRGGBB`).
    `default java.lang.String` | `getValue()` | Returns the value of color
    `default java.lang.String` | `getWidgetClass()` | Returns the client widget class.
    `default boolean` | `isDisabled()` | Sets whether it is disabled.
    `static IColorbox` | `of​(java.lang.String color)` | Returns the instance with the given color.
    `static IColorbox` | `ofId​(java.lang.String id)` | Returns the instance with the given id.
    `static IColorbox` | `ofSize​(java.lang.String width, java.lang.String height)` | Returns the instance with the given size, width and height.
    `IColorbox` | `withColor​(java.lang.String color)` | Returns a copy of `this` immutable component with the specified `color`.
    `IColorbox` | `withDisabled​(boolean disabled)` | Returns a copy of `this` immutable component with the specified `disabled`.
    `default IColorbox` | `withValue​(java.lang.String value)` | Returns a copy of `this` immutable component with the specified `color`.

    - ### Methods inherited from interface org.zkoss.stateless.sul.IComponent

      `getAction, getActions, getClientAttributes, getId, getMold, getWidgetListeners, getWidgetOverrides, isVisible, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withAction, withActions, withActions, withClientAttribute, withClientAttributes, withId, withMold, withVisible, withWidgetClass, withWidgetListener, withWidgetListeners, withWidgetOverride, withWidgetOverrides`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IHtmlBasedComponent

      `getClientAction, getDraggable, getDroppable, getHeight, getHflex, getLeft, getRenderdefer, getSclass, getStyle, getTabindex, getTooltiptext, getTop, getVflex, getWidth, getZclass, getZIndex, isFocus, withClientAction, withDraggable, withDroppable, withFocus, withHeight, withHflex, withLeft, withRenderdefer, withSclass, withStyle, withTabindex, withTabindex, withTooltiptext, withTop, withVflex, withWidth, withZclass, withZIndex`

    - ### Methods inherited from interface org.zkoss.stateless.sul.IXulElement

      `getContext, getCtrlKeys, getPopup, getTooltip, withContext, withCtrlKeys, withPopup, withTooltip`

- - ### Field Detail

    - #### DEFAULT

          static final IColorbox DEFAULT

      Constant for default attributes of this immutable component.

  - ### Method Detail

    - #### getWidgetClass

          default java.lang.String getWidgetClass()

      Returns the client widget class.

      Default: `"zkex.inp.Colorbox"`

      Specified by:
        `getWidgetClass` in interface `IComponent<IColorbox>`

    - #### getColor

          default java.lang.String getColor()

      Returns the color (in string as `#RRGGBB`).

      Default: `"#000000"`

    - #### withColor

          IColorbox withColor​(java.lang.String color)

      Returns a copy of `this` immutable component with the specified `color`.

      Sets the color (in string as `#RRGGBB`).

      Parameters:
        `color` - The color (in string as `#RRGGBB`).

        Default: `"#000000"`.

      Returns:
        A modified copy of the `this` object

    - #### isDisabled

          default boolean isDisabled()

      Sets whether it is disabled.

      Default: `false`

    - #### withDisabled

          IColorbox withDisabled​(boolean disabled)

      Returns a copy of `this` immutable component with the specified `disabled`.

      Sets whether it is disabled.

      Parameters:
        `disabled` - `true` to disable this component.

        Default: `false`.

      Returns:
        A modified copy of the `this` object

    - #### getValue

          @Lazy
          default java.lang.String getValue()

      Returns the value of color

      Default: #000000

      See Also:
        `getColor()`

    - #### withValue

          default IColorbox withValue​(java.lang.String value)

      Returns a copy of `this` immutable component with the specified `color`.

      Sets the color value (in string as `#RRGGBB`).

      Parameters:
        `value` - The color value (in string as `#RRGGBB`).

        Default: `"#000000"`.

      Returns:
        A modified copy of the `this` object

    - #### of

          static IColorbox of​(java.lang.String color)

      Returns the instance with the given color.
      Parameters:
        `color` - The color (in string as `#RRGGBB`)

    - #### ofSize

          static IColorbox ofSize​(java.lang.String width,
                                  java.lang.String height)

      Returns the instance with the given size, width and height.
      Parameters:
        `width` - The width of the component
        `height` - The height of the component

    - #### ofId

          static IColorbox ofId​(java.lang.String id)

      Returns the instance with the given id.
      Parameters:
        `id` - The id to identify this component